"use strict";

exports.__esModule = true;
exports.default = buildQuery;

var _core = require("@superset-ui/core");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function buildQuery(formData) {
  return (0, _core.buildQueryContext)(formData, baseQueryObject => {
    const baseQueryMetrics = (baseQueryObject == null ? void 0 : baseQueryObject.metrics) ? baseQueryObject.metrics : [];
    return [_extends({}, baseQueryObject, {
      groupby: formData.groupby || [],
      is_timeseries: true,
      post_processing: [{
        operation: 'pivot',
        options: {
          index: ['__timestamp'],
          columns: formData.groupby,
          // Create 'dummy' sum aggregates to assign cell values in pivot table
          aggregates: Object.fromEntries(baseQueryMetrics.map(metric => [metric.label, {
            operator: 'sum'
          }]))
        }
      }, formData.contributionMode ? {
        operation: 'contribution',
        options: {
          orientation: formData.contributionMode
        }
      } : undefined, formData.forecastEnabled ? {
        operation: 'prophet',
        options: {
          time_grain: formData.time_grain_sqla,
          periods: parseInt(formData.forecastPeriods, 10),
          confidence_interval: parseFloat(formData.forecastInterval),
          yearly_seasonality: formData.forecastSeasonalityYearly,
          weekly_seasonality: formData.forecastSeasonalityWeekly,
          daily_seasonality: formData.forecastSeasonalityDaily
        }
      } : undefined]
    })];
  });
}